package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLvCancForm extends HrmBaseForm {
  private String employeeNo;
  
  private String employeeName;
  
  private String leaveCode;
  
  private String leaveDescription;
  
  private String fromDate;
  
  private String toDate;
  
  private String firstName;
  
  private String middleName;
  
  private String lastName;
  
  private String dateApplied;
  
  private String days;
  
  private String purpose;
  
  private String cancelRemarks;
  
  private String statusOfLeave;
  
  private String fromCancelDate;
  
  private String toCancelDate;
  
  private String cancelDays;
  
  private String cancellationType;
  
  private String address;
  
  private String phoneNo;
  
  private String transId;
  
  private String selectAll;
  
  private String hdnDetailId;
  
  private String designation;
  
  private String scaleOfPay;
  
  private String leaveCodeId;
  
  private String disabemployeeNo;
  
  private String disabemployeeName;
  
  private String disableaveCode;
  
  private String disableaveDescription;
  
  private String disabfromDate;
  
  private String disabtoDate;
  
  private String disabfirstName;
  
  private String disabmiddleName;
  
  private String disablastName;
  
  private String disabdateApplied;
  
  private String disabdays;
  
  private String disabpurpose;
  
  private String disabcancelRemarks;
  
  private String disabstatusOfLeave;
  
  private String disabfromCancelDate;
  
  private String disabtoCancelDate;
  
  private String disabcancelDays;
  
  private String disabcancellationType;
  
  private String disabaddress;
  
  private String disabphoneNo;
  
  private String disabdesignation;
  
  private String disabscaleOfPay;
  
  private String butFromCancelDate;
  
  private String disabbutFromCancelDate;
  
  private String butToCancelDate;
  
  private String disabbutToCancelDate;
  
  private String butLeaveCode;
  
  private String disabbutLeaveCode;
  
  private String cancelStatus;
  
  private String disabcancelStatus;
  
  private String cancelDateApplied;
  
  private String disabcancelDateApplied;
  
  private String butCancelDateApplied;
  
  private String disabbutCancelDateApplied;
  
  private String butApprove;
  
  private String disabbutApprove;
  
  private String butReject;
  
  private String disabbutReject;
  
  private String employeeId;
  
  private String leaveTransId;
  
  String cancSide;
  
  private String grade;
  
  private String location;
  
  private String desig;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getLeaveCode() {
    return this.leaveCode;
  }
  
  public void setLeaveCode(String newLeaveCode) {
    this.leaveCode = newLeaveCode;
  }
  
  public String getLeaveDescription() {
    return this.leaveDescription;
  }
  
  public void setLeaveDescription(String newLeaveDescription) {
    this.leaveDescription = newLeaveDescription;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getDays() {
    return this.days;
  }
  
  public void setDays(String newDays) {
    this.days = newDays;
  }
  
  public String getPurpose() {
    return this.purpose;
  }
  
  public void setPurpose(String newPurpose) {
    this.purpose = newPurpose;
  }
  
  public String getCancelRemarks() {
    return this.cancelRemarks;
  }
  
  public void setCancelRemarks(String newCancelRemarks) {
    this.cancelRemarks = newCancelRemarks;
  }
  
  public String getStatusOfLeave() {
    return this.statusOfLeave;
  }
  
  public void setStatusOfLeave(String newStatusOfLeave) {
    this.statusOfLeave = newStatusOfLeave;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getFromCancelDate() {
    return this.fromCancelDate;
  }
  
  public void setFromCancelDate(String newFromCancelDate) {
    this.fromCancelDate = newFromCancelDate;
  }
  
  public String getToCancelDate() {
    return this.toCancelDate;
  }
  
  public void setToCancelDate(String newToCancelDate) {
    this.toCancelDate = newToCancelDate;
  }
  
  public String getCancelDays() {
    return this.cancelDays;
  }
  
  public void setCancelDays(String newCancelDays) {
    this.cancelDays = newCancelDays;
  }
  
  public String getCancellationType() {
    return this.cancellationType;
  }
  
  public void setCancellationType(String newCancellationType) {
    this.cancellationType = newCancellationType;
  }
  
  public String getAddress() {
    return this.address;
  }
  
  public void setAddress(String newAddress) {
    this.address = newAddress;
  }
  
  public String getPhoneNo() {
    return this.phoneNo;
  }
  
  public void setPhoneNo(String newPhoneNo) {
    this.phoneNo = newPhoneNo;
  }
  
  public String getTransId() {
    return this.transId;
  }
  
  public void setTransId(String newTransId) {
    this.transId = newTransId;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getHdnDetailId() {
    return this.hdnDetailId;
  }
  
  public void setHdnDetailId(String newHdnDetailId) {
    this.hdnDetailId = newHdnDetailId;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getScaleOfPay() {
    return this.scaleOfPay;
  }
  
  public void setScaleOfPay(String newScaleOfPay) {
    this.scaleOfPay = newScaleOfPay;
  }
  
  public String getLeaveCodeId() {
    return this.leaveCodeId;
  }
  
  public void setLeaveCodeId(String newLeaveCodeId) {
    this.leaveCodeId = newLeaveCodeId;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisableaveCode() {
    return this.disableaveCode;
  }
  
  public void setDisableaveCode(String newDisableaveCode) {
    this.disableaveCode = newDisableaveCode;
  }
  
  public String getDisableaveDescription() {
    return this.disableaveDescription;
  }
  
  public void setDisableaveDescription(String newDisableaveDescription) {
    this.disableaveDescription = newDisableaveDescription;
  }
  
  public String getDisabfromDate() {
    return this.disabfromDate;
  }
  
  public void setDisabfromDate(String newDisabfromDate) {
    this.disabfromDate = newDisabfromDate;
  }
  
  public String getDisabtoDate() {
    return this.disabtoDate;
  }
  
  public void setDisabtoDate(String newDisabtoDate) {
    this.disabtoDate = newDisabtoDate;
  }
  
  public String getDisabfirstName() {
    return this.disabfirstName;
  }
  
  public void setDisabfirstName(String newDisabfirstName) {
    this.disabfirstName = newDisabfirstName;
  }
  
  public String getDisabmiddleName() {
    return this.disabmiddleName;
  }
  
  public void setDisabmiddleName(String newDisabmiddleName) {
    this.disabmiddleName = newDisabmiddleName;
  }
  
  public String getDisablastName() {
    return this.disablastName;
  }
  
  public void setDisablastName(String newDisablastName) {
    this.disablastName = newDisablastName;
  }
  
  public String getDisabdateApplied() {
    return this.disabdateApplied;
  }
  
  public void setDisabdateApplied(String newDisabdateApplied) {
    this.disabdateApplied = newDisabdateApplied;
  }
  
  public String getDisabdays() {
    return this.disabdays;
  }
  
  public void setDisabdays(String newDisabdays) {
    this.disabdays = newDisabdays;
  }
  
  public String getDisabpurpose() {
    return this.disabpurpose;
  }
  
  public void setDisabpurpose(String newDisabpurpose) {
    this.disabpurpose = newDisabpurpose;
  }
  
  public String getDisabcancelRemarks() {
    return this.disabcancelRemarks;
  }
  
  public void setDisabcancelRemarks(String newDisabcancelRemarks) {
    this.disabcancelRemarks = newDisabcancelRemarks;
  }
  
  public String getDisabstatusOfLeave() {
    return this.disabstatusOfLeave;
  }
  
  public void setDisabstatusOfLeave(String newDisabstatusOfLeave) {
    this.disabstatusOfLeave = newDisabstatusOfLeave;
  }
  
  public String getDisabfromCancelDate() {
    return this.disabfromCancelDate;
  }
  
  public void setDisabfromCancelDate(String newDisabfromCancelDate) {
    this.disabfromCancelDate = newDisabfromCancelDate;
  }
  
  public String getDisabtoCancelDate() {
    return this.disabtoCancelDate;
  }
  
  public void setDisabtoCancelDate(String newDisabtoCancelDate) {
    this.disabtoCancelDate = newDisabtoCancelDate;
  }
  
  public String getDisabcancelDays() {
    return this.disabcancelDays;
  }
  
  public void setDisabcancelDays(String newDisabcancelDays) {
    this.disabcancelDays = newDisabcancelDays;
  }
  
  public String getDisabcancellationType() {
    return this.disabcancellationType;
  }
  
  public void setDisabcancellationType(String newDisabcancellationType) {
    this.disabcancellationType = newDisabcancellationType;
  }
  
  public String getDisabaddress() {
    return this.disabaddress;
  }
  
  public void setDisabaddress(String newDisabaddress) {
    this.disabaddress = newDisabaddress;
  }
  
  public String getDisabphoneNo() {
    return this.disabphoneNo;
  }
  
  public void setDisabphoneNo(String newDisabphoneNo) {
    this.disabphoneNo = newDisabphoneNo;
  }
  
  public String getDisabdesignation() {
    return this.disabdesignation;
  }
  
  public void setDisabdesignation(String newDisabdesignation) {
    this.disabdesignation = newDisabdesignation;
  }
  
  public String getDisabscaleOfPay() {
    return this.disabscaleOfPay;
  }
  
  public void setDisabscaleOfPay(String newDisabscaleOfPay) {
    this.disabscaleOfPay = newDisabscaleOfPay;
  }
  
  public String getButFromCancelDate() {
    return this.butFromCancelDate;
  }
  
  public void setButFromCancelDate(String newButFromCancelDate) {
    this.butFromCancelDate = newButFromCancelDate;
  }
  
  public String getDisabbutFromCancelDate() {
    return this.disabbutFromCancelDate;
  }
  
  public void setDisabbutFromCancelDate(String newDisabbutFromCancelDate) {
    this.disabbutFromCancelDate = newDisabbutFromCancelDate;
  }
  
  public String getButToCancelDate() {
    return this.butToCancelDate;
  }
  
  public void setButToCancelDate(String newButToCancelDate) {
    this.butToCancelDate = newButToCancelDate;
  }
  
  public String getDisabbutToCancelDate() {
    return this.disabbutToCancelDate;
  }
  
  public void setDisabbutToCancelDate(String newDisabbutToCancelDate) {
    this.disabbutToCancelDate = newDisabbutToCancelDate;
  }
  
  public String getButLeaveCode() {
    return this.butLeaveCode;
  }
  
  public void setButLeaveCode(String newButLeaveCode) {
    this.butLeaveCode = newButLeaveCode;
  }
  
  public String getDisabbutLeaveCode() {
    return this.disabbutLeaveCode;
  }
  
  public void setDisabbutLeaveCode(String newDisabbutLeaveCode) {
    this.disabbutLeaveCode = newDisabbutLeaveCode;
  }
  
  public String getCancelStatus() {
    return this.cancelStatus;
  }
  
  public void setCancelStatus(String newCancelStatus) {
    this.cancelStatus = newCancelStatus;
  }
  
  public String getDisabcancelStatus() {
    return this.disabcancelStatus;
  }
  
  public void setDisabcancelStatus(String newDisabcancelStatus) {
    this.disabcancelStatus = newDisabcancelStatus;
  }
  
  public String getCancelDateApplied() {
    return this.cancelDateApplied;
  }
  
  public void setCancelDateApplied(String newCancelDateApplied) {
    this.cancelDateApplied = newCancelDateApplied;
  }
  
  public String getDisabcancelDateApplied() {
    return this.disabcancelDateApplied;
  }
  
  public void setDisabcancelDateApplied(String newDisabcancelDateApplied) {
    this.disabcancelDateApplied = newDisabcancelDateApplied;
  }
  
  public String getButCancelDateApplied() {
    return this.butCancelDateApplied;
  }
  
  public void setButCancelDateApplied(String newButCancelDateApplied) {
    this.butCancelDateApplied = newButCancelDateApplied;
  }
  
  public String getDisabbutCancelDateApplied() {
    return this.disabbutCancelDateApplied;
  }
  
  public void setDisabbutCancelDateApplied(String newDisabbutCancelDateApplied) {
    this.disabbutCancelDateApplied = newDisabbutCancelDateApplied;
  }
  
  public String getButApprove() {
    return this.butApprove;
  }
  
  public void setButApprove(String newButApprove) {
    this.butApprove = newButApprove;
  }
  
  public String getDisabbutApprove() {
    return this.disabbutApprove;
  }
  
  public void setDisabbutApprove(String newDisabbutApprove) {
    this.disabbutApprove = newDisabbutApprove;
  }
  
  public String getButReject() {
    return this.butReject;
  }
  
  public void setButReject(String newButReject) {
    this.butReject = newButReject;
  }
  
  public String getDisabbutReject() {
    return this.disabbutReject;
  }
  
  public void setDisabbutReject(String newDisabbutReject) {
    this.disabbutReject = newDisabbutReject;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getLeaveTransId() {
    return this.leaveTransId;
  }
  
  public void setLeaveTransId(String newLeaveTransId) {
    this.leaveTransId = newLeaveTransId;
  }
  
  public String getCancSide() {
    return this.cancSide;
  }
  
  public void setCancSide(String newCancSide) {
    this.cancSide = newCancSide;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getDesig() {
    return this.desig;
  }
  
  public void setDesig(String newDesig) {
    this.desig = newDesig;
  }
}
